org.keycloak.social.stackoverflow

## Class StackoverflowIdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<StackoverflowIdentityProvider>
  - - org.keycloak.social.stackoverflow.StackoverflowIdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<StackoverflowIdentityProvider>, ProviderFactory<StackoverflowIdentityProvider>, SocialIdentityProviderFactory<StackoverflowIdentityProvider>

      public class StackoverflowIdentityProviderFactory
      extends AbstractIdentityProviderFactory<StackoverflowIdentityProvider>
      implements SocialIdentityProviderFactory<StackoverflowIdentityProvider>

  Author:
    Vlastimil Elias (velias at redhat dot com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackoverflowIdentityProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StackoverflowIdentityProvider` | `create(IdentityProviderModel model)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, parseConfig, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderFactory

      `parseConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, init, postInit`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StackoverflowIdentityProviderFactory

          public StackoverflowIdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Specified by:
        `getName` in interface `IdentityProviderFactory<StackoverflowIdentityProvider>`
      Returns:

    - #### create

          public StackoverflowIdentityProvider create(IdentityProviderModel model)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

      Specified by:
        `create` in interface `IdentityProviderFactory<StackoverflowIdentityProvider>`
      Parameters:
        `model` - The configuration to be used to create the identity provider.
      Returns:

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<StackoverflowIdentityProvider>`

Copyright © 2015. All rights reserved.